library(ggplot2)
library(tidyr)
#faili sisselugemine ja andmete formaadi korrigeerimine
J412=read.csv("PT4-T4.1-J4.1.2.csv",header=TRUE, encoding ="UTF-8")
names(J412)=gsub("\\.", " ", names(J412))
J412=pivot_longer(J412,2:3)
J412$Riik[J412$Riik=="Eesti"]="EESTI"
J412$Riik=as.factor(J412$Riik)
J412$Riik=factor(J412$Riik, rev(levels(J412$Riik)))
J412$name[J412$name=="On sageli õnnetu  nukrameelne või nutu äärel"]="On sageli õnnetu, nukrameelne või nutu äärel"
J412$name=as.factor(J412$name)
J412$name=factor(J412$name, rev(levels(J412$name)))
font=rep(1,16)
font[16]=2

#joonis
ggplot(J412)+
  geom_col(aes(x=Riik,y=value,fill=name),pos=position_dodge(0.9),width=0.7)+
  geom_label(aes(x=Riik,y=value,label=value,group=name),pos=position_dodge(0.8),cex=2.4)+
  theme_minimal()+
  coord_flip()+
  scale_fill_manual(values=c("#323E4E","#FF3600"),breaks=rev(levels(J412$name)))+
  scale_y_continuous(breaks=seq(0,25,5))+
  theme(axis.text.y = element_text(face=font))+
  xlab("")+
  ylab("")+
  theme(legend.title = element_blank())







